Companies

Verify Company By Contract

Not generally available. This endpoint is only available to teams with an enterprise contract with Recommand that includes contract-based...

POST
/api/v1/companies/{companyId}/verify-by-contract

Not generally available. This endpoint is only available to teams with an enterprise contract with Recommand that includes contract-based verification. For all other teams it returns a 400 error. To discuss access, contact support@recommand.eu. All other integrations should use the Verify Company endpoint.

Verifies a company directly from a signed contract PDF, instead of the interactive identity verification. Upload the contract as multipart/form-data in the contract field.

Authorization

AuthorizationBasic <token>

Basic API key authentication. Create a new API key and secret in the Recommand dashboard.

In: header

Path Parameters

companyId*string

The ID of the company to verify

Request Body

multipart/form-data

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/api/v1/companies/string/verify-by-contract" \  -F contract="string"
{  "success": true}